// GLTemplateView.h : interface of the CGLTemplateView class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_GLTEMPLATEVIEW_H__BE6E38FF_C82A_11D1_87D5_00A0C9062ECB__INCLUDED_)
#define AFX_GLTEMPLATEVIEW_H__BE6E38FF_C82A_11D1_87D5_00A0C9062ECB__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CGLTemplateView : public CView
{
protected: // create from serialization only
	CGLTemplateView();
	DECLARE_DYNCREATE(CGLTemplateView)

// Attributes
public:
	CGLTemplateDoc* GetDocument();

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CGLTemplateView)
	public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	protected:
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CGLTemplateView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

public:
	void SetupGLParameters( void );
	void SetupProjection( int, int );

	HGLRC m_hRC;
	HDC m_hDC;

protected:

// Generated message map functions
protected:
	//{{AFX_MSG(CGLTemplateView)
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnDestroy();
	afx_msg void OnSize(UINT nType, int cx, int cy);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // debug version in GLTemplateView.cpp
inline CGLTemplateDoc* CGLTemplateView::GetDocument()
   { return (CGLTemplateDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_GLTEMPLATEVIEW_H__BE6E38FF_C82A_11D1_87D5_00A0C9062ECB__INCLUDED_)
